! @(#)integraper.prg	19.1.1.1 (ESO-DMD) 02/25/03 13:20:55
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
! MIDAS procedure  integraper.prg  for INTEGRATE/APERTURE
! Ch. Ounnas    840803
!.USE:          use as INTEGRATE/APERTURE in_specs out_specs [radius] [pix_flag]
!               in_specs = CURSOR  or  inframe,intable
!               out_specs = ?, just display data
!	        = table (if CURSOR input used)
!	        = descr, descriptor name (of inframe)
!               radius  = ? (if CURSOR input used) or radius in user units
!.VERSION:      931108 RHW {} stuff
! 021023	last modif
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
! 
define/param p1 CURSOR
! 
define/local k/i/1/1 0
k = m$index(p1,",")
!
write/keyw inputc {p2}				!fill output_specs
! 
if k .gt. 0 then				!inframe,intable
   define/param p3 ? N "Enter radius of aperture:"
   k = k - 1
   write/keyw in_a {p1(1:{k})}
   k = k + 2
   write/keyw in_b {p1({k}:>)}
   write/keyw inputr/r/1/1 {p3}
   !
   run APP_EXE:INTEAPER
!
else
   if p3 .eq. "?" then			!no radius given
      set/cursor ? rec,bw
   else
      define/local ap/i/1/4 0,0,0,0
      write/keyw inputr/r/1/1 {p3}
      run APP_EXE:RADCNV
      set/cursor ? rec,bw {ap(1)},{ap(2)},{ap(3)},{ap(4)}
   endif
   write/keyw in_a *			!that means: displayed image
   write/keyw in_b *
   !
   run APP_EXE:INTEAPER
endif

